<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Schemas List</title>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <h1>Schemas List</h1>
    <a href="{% url 'schema_create' %}">Schema create</a>
    <ul>

      <table class="table table-striped">
    <thead>
      <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Creation Date</th>
        <th>Actions</th>
      </tr>
    </thead>
    <tbody>
      {% for schema in object_list %}
        <tr>
          <td>{{ schema.id }}</td>
          <td><a href="{% url 'schema_detail' schema.id %}">{{ schema.name }}</a></td>
          <td>{{ schema.create_at }}</td>
          <td>
            <a href="/" class="btn btn-primary">Edit</a>
            <form method="POST" action="/" class="d-inline-block">
              {% csrf_token %}
              <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure you want to delete this schema?')">Delete</button>
            </form>
          </td>
        </tr>
      {% empty %}
        <tr>
          <td colspan="4">No schemas found.</td>
        </tr>
      {% endfor %}
    </tbody>
  </table>

</ul>
  </body>
</html>
